Package groovy.transform.stc

# Class SecondParam

java.lang.Object
groovy.transform.stc.ClosureSignatureHint
groovy.transform.stc.SingleSignatureClosureHint
groovy.transform.stc.PickAnyArgumentHint
groovy.transform.stc.SecondParam

Direct Known Subclasses:
  `SecondParam.Component`

    public class SecondParam
    extends PickAnyArgumentHint

A hint used to instruct the type checker to pick the second parameter type. For example:

`public <T,U> def doWith(T first, U second, @ClosureParams(SecondParam.class) Closure c) { c.call(src); }`

This class has several inner classes that also helps picking generic argument types instead of the parameter type.

Since:
  2.3.0

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `SecondParam.Component` | A hint used to instruct the type checker to pick the type of the component of the second parameter type, which is therefore expected to be an array, like in this example:
  `static class` | `SecondParam.FirstGenericType` | A hint used to instruct the type checker to pick the first generic type of the second parameter type.
  `static class` | `SecondParam.SecondGenericType` | A hint used to instruct the type checker to pick the second generic type of the second parameter type.
  `static class` | `SecondParam.ThirdGenericType` | A hint used to instruct the type checker to pick the second generic type of the second parameter type.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SecondParam()` |

- ## Method Summary

  ### Methods inherited from class groovy.transform.stc.PickAnyArgumentHint

  `getParameterTypes`

  ### Methods inherited from class groovy.transform.stc.SingleSignatureClosureHint

  `getClosureSignatures`

  ### Methods inherited from class groovy.transform.stc.ClosureSignatureHint

  `findClassNode, pickGenericType, pickGenericType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SecondParam

    public SecondParam()